#ifndef _STUDENTINCOURSE_H
#define _STUDENTINCOURSE_H

#include <string>
#include <fstream>

using namespace std;

class StudentInCourse
{
public:
   void setIdNumCCode( Student& aStudent, string aCCode,
                       Course crsArr[], int nOfCourses );
   void save( ostream& bout ) const;
   void display( ostream& tout ) const;
private:
   enum { sicCCodeSz = 8,
          sicSaveSz = sizeof(int) + sicCCodeSz + sizeof(float) };
   unsigned int sicSIdNum;           //  
   char         sicCCode[sicCCodeSz]; //  
   float        sicMark;             //   
}; // StudentInCourse

typedef StudentInCourse* PStudentInCourse;

struct StudentInCourseXptn
{
   enum { unknownCCode, fileNotOpen, cannotWrite };
   char methodName[100];
   int  errorCode;
   char errStrVal[100];
   StudentInCourseXptn( const char* mn, int ec, const char* sv="" )
   {  strncpy( methodName, mn, 99 );  methodName[99] = '\0';
      errorCode = ec;
      strncpy( errStrVal, sv, 99 );  errStrVal[99] = '\0';  }
}; // StudentInCourseXptn

#endif // _STUDENTINCOURSE_H
